Package com.avaya.clientservices.visualvoicemail

## Enum VisualVoiceMailError.ErrorCode

- java.lang.Object
- - java.lang.Enum<VisualVoiceMailError.ErrorCode>
  - - com.avaya.clientservices.visualvoicemail.VisualVoiceMailError.ErrorCode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VisualVoiceMailError.ErrorCode>`
  Enclosing class:
    VisualVoiceMailError

      public static enum VisualVoiceMailError.ErrorCode
      extends java.lang.Enum<VisualVoiceMailError.ErrorCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_ERROR` | The server rejected the request due to an authentication error.
    `CANCELLED` | The operation was cancelled.
    `CERTIFICATE_ERROR` | The server rejected the request due to an certificate error.
    `CONFIGURATION_ERROR` | A configuration error occured.
    `CONNECTION_ERROR` | A connection error occured.
    `FAILED_TO_OPEN_DESTINATION_FILE` | Cannot open destination file for attachment.
    `IDENTITY_BAD_CERTIFICATE` | Client certificate is corrupt or in other way invalid.
    `IDENTITY_EXPIRED_CERTIFICATE` | Client certificate has expired.
    `IDENTITY_NO_CERTIFICATE` | Client certificate is missing.
    `IDENTITY_REVOKED_CERTIFICATE` | Client certificate was revoked by the issuing authority.
    `IDENTITY_UNKNOWN_CA` | Client certificate was issued by an unknown authority.
    `IDENTITY_UNSUPPORTED_CERTIFICATE` | Client certificate type is not supported by the server.
    `INTERNAL_ERROR` | An internal error occurred.
    `INVALID_IDENTITY_CERTIFICATE` | Client identity certificate is rejected by the server.
    `INVALID_RESPONSE` | The server returned an invalid response.
    `INVALID_STATE` | The operation is not valid for the current state.
    `PROXY_AUTHENTICATION_ERROR` | The authentication credentials provided for logging into the proxy were rejected.
    `PROXY_CONNECTION_ERROR` | A connection could not be established to the proxy server.
    `RETRY_LIMIT_EXCEEDED` | The request exceeded the maximum number of retries.
    `SECURE_CONNECTION_FAILED` | The server rejected the request due to an ssl error.
    `SERVER_ERROR` | The server rejected the request.
    `TIMEOUT` | The request timed out.
    `UNKNOWN` | An unknown error.
    `UNSUPPORTED` | The requested operation is not supported.
    `WRONG_DOWNLOAD_PATH` | A download path is invalid.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VisualVoiceMailError.ErrorCode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VisualVoiceMailError.ErrorCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final VisualVoiceMailError.ErrorCode UNKNOWN

      An unknown error. If this error code is received it is a bug.

    - #### UNSUPPORTED

          public static final VisualVoiceMailError.ErrorCode UNSUPPORTED

      The requested operation is not supported.

    - #### CANCELLED

          public static final VisualVoiceMailError.ErrorCode CANCELLED

      The operation was cancelled.

    - #### INVALID_STATE

          public static final VisualVoiceMailError.ErrorCode INVALID_STATE

      The operation is not valid for the current state.

    - #### INTERNAL_ERROR

          public static final VisualVoiceMailError.ErrorCode INTERNAL_ERROR

      An internal error occurred.

    - #### TIMEOUT

          public static final VisualVoiceMailError.ErrorCode TIMEOUT

      The request timed out.

    - #### RETRY_LIMIT_EXCEEDED

          public static final VisualVoiceMailError.ErrorCode RETRY_LIMIT_EXCEEDED

      The request exceeded the maximum number of retries.

    - #### INVALID_RESPONSE

          public static final VisualVoiceMailError.ErrorCode INVALID_RESPONSE

      The server returned an invalid response.

    - #### AUTHENTICATION_ERROR

          public static final VisualVoiceMailError.ErrorCode AUTHENTICATION_ERROR

      The server rejected the request due to an authentication error.

    - #### CERTIFICATE_ERROR

          public static final VisualVoiceMailError.ErrorCode CERTIFICATE_ERROR

      The server rejected the request due to an certificate error.

    - #### IDENTITY_NO_CERTIFICATE

          public static final VisualVoiceMailError.ErrorCode IDENTITY_NO_CERTIFICATE

      Client certificate is missing.

    - #### IDENTITY_BAD_CERTIFICATE

          public static final VisualVoiceMailError.ErrorCode IDENTITY_BAD_CERTIFICATE

      Client certificate is corrupt or in other way invalid.

    - #### IDENTITY_UNSUPPORTED_CERTIFICATE

          public static final VisualVoiceMailError.ErrorCode IDENTITY_UNSUPPORTED_CERTIFICATE

      Client certificate type is not supported by the server.

    - #### IDENTITY_REVOKED_CERTIFICATE

          public static final VisualVoiceMailError.ErrorCode IDENTITY_REVOKED_CERTIFICATE

      Client certificate was revoked by the issuing authority.

    - #### IDENTITY_EXPIRED_CERTIFICATE

          public static final VisualVoiceMailError.ErrorCode IDENTITY_EXPIRED_CERTIFICATE

      Client certificate has expired.

    - #### IDENTITY_UNKNOWN_CA

          public static final VisualVoiceMailError.ErrorCode IDENTITY_UNKNOWN_CA

      Client certificate was issued by an unknown authority.

    - #### SECURE_CONNECTION_FAILED

          public static final VisualVoiceMailError.ErrorCode SECURE_CONNECTION_FAILED

      The server rejected the request due to an ssl error.

    - #### CONNECTION_ERROR

          public static final VisualVoiceMailError.ErrorCode CONNECTION_ERROR

      A connection error occured.

    - #### SERVER_ERROR

          public static final VisualVoiceMailError.ErrorCode SERVER_ERROR

      The server rejected the request.

    - #### INVALID_IDENTITY_CERTIFICATE

          public static final VisualVoiceMailError.ErrorCode INVALID_IDENTITY_CERTIFICATE

      Client identity certificate is rejected by the server.

    - #### PROXY_CONNECTION_ERROR

          public static final VisualVoiceMailError.ErrorCode PROXY_CONNECTION_ERROR

      A connection could not be established to the proxy server.

    - #### PROXY_AUTHENTICATION_ERROR

          public static final VisualVoiceMailError.ErrorCode PROXY_AUTHENTICATION_ERROR

      The authentication credentials provided for logging into the proxy were rejected.

    - #### WRONG_DOWNLOAD_PATH

          public static final VisualVoiceMailError.ErrorCode WRONG_DOWNLOAD_PATH

      A download path is invalid.

    - #### FAILED_TO_OPEN_DESTINATION_FILE

          public static final VisualVoiceMailError.ErrorCode FAILED_TO_OPEN_DESTINATION_FILE

      Cannot open destination file for attachment.

    - #### CONFIGURATION_ERROR

          public static final VisualVoiceMailError.ErrorCode CONFIGURATION_ERROR

      A configuration error occured.

  - ### Method Detail

    - #### values

          public static VisualVoiceMailError.ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VisualVoiceMailError.ErrorCode c : VisualVoiceMailError.ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VisualVoiceMailError.ErrorCode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null